JBossWebXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jboss.web.JBossWebXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jboss.web
Class JBossWebXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.jboss.web.JBossWebXmlSubTask

All Implemented Interfaces:
  Serializable

public class JBossWebXmlSubTask
extends XmlSubTask

Generates jboss-web.xml deployment descriptor.

Version:
  $Revision: 1.13 $
Author:
  Dmitri Colebatch (dim@bigpond.net.au)
See Also:
  Serialized Form
ant.element
  display-name="JBoss" name="jbosswebxml" parent="xdoclet.modules.web.WebDocletTask"
created
  August 9, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `contextRoot` The Context Root, defaults to "" because it is not included if not set in the build.xml.
`protected String` | `securityDomain` The Security Domain, defaults to "" because it is not included if not set in the build.xml.
`protected String` | `version` The JBoss version to target.
`protected String` | `virtualHost` The Virtual Host, defaults to "" because it is not included if not set in the build.xml.

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JBossWebXmlSubTask()` Describe what the JBossWebXmlSubTask constructor does

Method Summary
`void` | `execute()` Describe what the method does
`String` | `getContextroot()` Return the Context Root.
`String` | `getSecuritydomain()` Return the Security Domain.
`String` | `getVersion()` Get the target JBoss version
`String` | `getVirtualhost()` Return the Virtual Host.
`void` | `setContextroot(String contextRoot)` Set the Context Root.
`void` | `setSecuritydomain(String securityDomain)` Set the Security Domain.
`void` | `setVersion(JBossSubTask.JBossVersionTypes version)` Set the target JBoss version
`void` | `setVirtualhost(String virtualHost)` Set the Virtual Host.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### securityDomain

    protected String securityDomain

  The Security Domain, defaults to "" because it is not included if not set in the build.xml.

### contextRoot

    protected String contextRoot

  The Context Root, defaults to "" because it is not included if not set in the build.xml.

### virtualHost

    protected String virtualHost

  The Virtual Host, defaults to "" because it is not included if not set in the build.xml.

### version

    protected String version

  The JBoss version to target. Possible subversion are the values present in JBossSubTask.JBossVersionTypes

Constructor Detail

### JBossWebXmlSubTask

    public JBossWebXmlSubTask()

  Describe what the JBossWebXmlSubTask constructor does

Method Detail

### getSecuritydomain

    public String getSecuritydomain()

  Return the Security Domain.

  Returns:
    The Security Domain value

### getContextroot

    public String getContextroot()

  Return the Context Root.

  Returns:
    The Context Root value

### getVirtualhost

    public String getVirtualhost()

  Return the Virtual Host.

  Returns:
    The Virtual Host value

### getVersion

    public String getVersion()

  Get the target JBoss version

  Returns:
    the version

### setSecuritydomain

    public void setSecuritydomain(String securityDomain)

  Set the Security Domain.

  Parameters:
    `securityDomain` - The new Security Domain value

### setContextroot

    public void setContextroot(String contextRoot)

  Set the Context Root.

  Parameters:
    `contextRoot` - The new Context Root value

### setVirtualhost

    public void setVirtualhost(String virtualHost)

  Set the Virtual Host.

  Parameters:
    `virtualHost` - The new Virtual Host value

### setVersion

    public void setVersion(JBossSubTask.JBossVersionTypes version)

  Set the target JBoss version

  Parameters:
    `version` - the version

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD